/*

*/

/**
This package implements a parser for the Tree language.
<p>
A {@link String} in the Tree language is defined by the following grammar.
<pre>{@code
  Tree ::= '(' String Tree+ ')'
         | String
}</pre>
where '(' and ')' are literals, and Tree+ means "one or more".
<p>
The file {@link Parse2AST} uses the {@link tree} and {@link tokenizer}
packages to parse a {@link String} from the Tree language into an
abstract syntax {@link tree.Tree} of {@link tokenizer.Token}s.
<p>
The file {@link Parse2Tree} uses the {@link tree} and {@link tokenizer}
packages to parse a {@link String} from the Tree language into an
abstract syntax {@link tree.Tree} of {@link String}s.
<p>
The file {@link Parse2SyntaxTree} uses the {@link tree} and
{@link tokenizer} packages to parse a {@link String} from the
Tree language into a parse {@link tree.Tree} of {@link String}s.
<p>
The file {@link PrettyPrintAST} converts an abstract syntax tree
of tokens into a multi-line indented {@link String}.
<p>
The file {@link AST2xml} converts an abstract syntax tree
of tokens into an XML {@link java.io.File}.
*/
package treelanguage;
